Subject: /128 link-local subnet on 6in4 (sit) tunnels?

From: Wilco Baan Hofman <[email-masked]>
Date: Tue, 26 Mar 2013 23:04:17 +0100

Hi,

I was trying to get OSPFv3 working on NBMA 6in4 tunnel on linux 3.8, but
it does not work. I noticed it uses a /128 fe80 link-local subnet
instead of the rfc4213[1]-mandated /64.. This breaks bird (likely for
other reasons), but also interoperability with cisco, which mandates
OSPFv3 NBMA on link-local addresses.

So I was wondering, is there any particular reason for the use of a /128
link-local or is this just a bug?

Regards,

Wilco Baan Hofman

[1] http://tools.ietf.org/html/rfc4213